%define name		javamail
%define version		1.3
%define cvs_version	1_3
%define release		2jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The JavaMail(TM) API
License:	Sun Binary Code License
URL:		http://java.sun.com/products/javamail/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{cvs_version}.zip
NoSource:	0
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The JavaMail(TM) 1.3 API provides a set of abstract classes that model a mail
system. The API provides a platform independent and protocol independent
framework to build Java technology-based mail and messaging applications.
The JavaMail(TM) API is implemented as a Java platform optional package and is
also available as part of the Java 2 platform, Enterprise Edition. Sun
provides a royalty-free reference implementation, in binary form, that
developers will be able to use and ship.

%package manual
Summary:	Manual for %{name}
Group:		Development/Libraries/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Development/Libraries/Java

%description demo
Demonstrations and samples for %{name}.

%package monolithic
Summary:	All %{name} in one monolithic jar
Group:		Development/Libraries/Java

%description monolithic
All %{name} in one monolithic jar.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 mail.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
install -d -m 755 $RPM_BUILD_ROOT%{javadir}/%{name}
install -m 644 lib/mailapi.jar $RPM_BUILD_ROOT%{javadir}/%{name}/mailapi-%{version}.jar
install -m 644 lib/imap.jar $RPM_BUILD_ROOT%{javadir}/%{name}/imap-%{version}.jar
install -m 644 lib/pop3.jar $RPM_BUILD_ROOT%{javadir}/%{name}/pop3-%{version}.jar
install -m 644 lib/smtp.jar $RPM_BUILD_ROOT%{javadir}/%{name}/smtp-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-sun-%{version}
cp -pr docs/javadocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
rm -rf docs/javadocs
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr demo $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc *.txt
%{javadir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc docs/*

%files javadoc
%defattr(-,root,root,-)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root,-)
%{_datadir}/%{name}

%files monolithic
%defattr(-,root,root,-)
%{javadir}/%{name}-%{version}.jar
%{javadir}/%{name}.jar

%changelog
* Sun Sep 22 2002 Ville Skytt <ville.skytta at iki.fi> 1.3-2jpp
- Updated description.
- No RPM macro in URL tag (really this time).

* Sun Sep 08 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3-1jpp 
- 1.3 (thanks Klaus Stake <Klaus-Dieter.Stake@ePost.de>)
- no macro in url tag

* Thu Jun 20 2002 Henri Gomez <hgomez@slib.fr> 1.2-9jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x
- fix symlink in subdir

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-8jpp
- vendor, distribution, group tags
- corrected changelog

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-7jpp 
- nosrc package
- monolothic package
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-6jpp
- javadoc in %{javadocdir} again 
- versioned jars rather than %{name} subdir

* Fri Jan 4 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-5jpp
- javadoc back to /usr/share/doc
- no dependencies for manual and javadoc packages
- stricter dependency for demo package
- removed redundant mail.jar
- jars in %{name} subdir
- standardised summary

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-4jpp
- javadoc into javadoc package
- sun javadoc into sun-javadoc package

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-3jpp
- first unified release

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-2mdk
- split demo package
- demo files in %{_datadir}/%{name}
- s/jPackage/JPackage/
- spec cleanup

* Sat Aug 25 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.2-1mdk
- javamail 1.2
